# DataExchange
TKSTEP209
StepFEA

# StepFEA_HArray1OfNodeRepresentation Class Reference

`#include <StepFEA_HArray1OfNodeRepresentation.hxx>`

## Public Member Functions

Standard_EXPORT | StepFEA_HArray1OfNodeRepresentation (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepFEA_HArray1OfNodeRepresentation (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepFEA_NodeRepresentation)&V)
Standard_EXPORT void | Init (const Handle(StepFEA_NodeRepresentation)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepFEA_NodeRepresentation)&Value)
const Handle_StepFEA_NodeRepresentation & | Value (const Standard_Integer Index) const
Handle_StepFEA_NodeRepresentation & | ChangeValue (const Standard_Integer Index)
const StepFEA_Array1OfNodeRepresentation & | Array1 () const
StepFEA_Array1OfNodeRepresentation & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepFEA_Array1OfNodeRepresentation | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_HArray1OfNodeRepresentation::StepFEA_HArray1OfNodeRepresentation | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepFEA_HArray1OfNodeRepresentation::StepFEA_HArray1OfNodeRepresentation | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepFEA_NodeRepresentation)& | V
| ) |

## Member Function Documentation

const StepFEA_Array1OfNodeRepresentation& StepFEA_HArray1OfNodeRepresentation::Array1 | ( |  | ) | const

StepFEA_Array1OfNodeRepresentation& StepFEA_HArray1OfNodeRepresentation::ChangeArray1 | ( |  | ) |

Handle_StepFEA_NodeRepresentation& StepFEA_HArray1OfNodeRepresentation::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepFEA_HArray1OfNodeRepresentation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_HArray1OfNodeRepresentation::Init | ( | const Handle(StepFEA_NodeRepresentation)& | V | ) |

Standard_Integer StepFEA_HArray1OfNodeRepresentation::Length | ( |  | ) | const

Standard_Integer StepFEA_HArray1OfNodeRepresentation::Lower | ( |  | ) | const

void StepFEA_HArray1OfNodeRepresentation::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepFEA_NodeRepresentation)& | Value
| ) |

Standard_Integer StepFEA_HArray1OfNodeRepresentation::Upper | ( |  | ) | const

const Handle_StepFEA_NodeRepresentation& StepFEA_HArray1OfNodeRepresentation::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepFEA_Array1OfNodeRepresentation StepFEA_HArray1OfNodeRepresentation::myArray `[private]`

The documentation for this class was generated from the following file:

- StepFEA_HArray1OfNodeRepresentation.hxx